Package org.eclipse.birt.chart.script.api.component

# Interface IChartComponent

All Known Subinterfaces:
  `IAxis`, `ILegend`, `IMarkerLine`, `IMarkerRange`

public interface IChartComponent
Represents an abstract component in the scripting environment. A component can be Axis, Series, Legend, and etc.

## Method Summary

Modifier and Type
Method
Description
`ILabel`
`getTitle()`
Gets the title of component
`boolean`
`isVisible()`
Checks if current component is visible
`void`
`setVisible(boolean visible)`
Sets if current component is visible

## Method Details

### isVisible

boolean isVisible()
Checks if current component is visible

Returns:
  visible or not

### setVisible

void setVisible(boolean visible)
Sets if current component is visible

Parameters:
  `visible` -

### getTitle

ILabel getTitle()
Gets the title of component

Returns:
  title string